This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 983591 - Alert "Successfully saved business process" is shown every 30 seconds in feature "Auto Save" is enable [NEEDINFO]
Alert "Successfully saved business process" is shown every 30 seconds in feat...
Status: ASSIGNED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: jBPM Designer (Show other bugs)
6.0.0
Unspecified Unspecified
low Severity low
: ---
: 6.0.0
Assigned To: Tihomir Surdilovic
Jiri Locker
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-11 10:13 EDT by Sona Mala
Modified: 2016-01-08 17:06 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
smala: needinfo? (tsurdilo)


Attachments (Terms of Use)

  None (edit)
Description Sona Mala 2013-07-11 10:13:17 EDT
Description of problem:
If the feature "auto save" is enabled that the designer shows every 30 seconds alert "Successfully saved business process". This should be a interrupting effect for an user.

Version-Release number of selected component (if applicable):
6.0.0 DR6

Steps to Reproduce:
1. create a process
2. enable auto save

Actual results:
Alert every 30 seconds

Expected results:
This should be anonymous like in history section or use same indication like in Visual Validation (leave the icon pressed) or write it in south toolbar.
Comment 1 Tihomir Surdilovic 2013-08-27 10:27:24 EDT
I don't think removing these notifications is a good thing. However I have changed the timeout of the save messages to be a lot shorter. Since these are already not intrusive to user work, making them shorter makes it better.
Comment 2 Sona Mala 2013-09-19 05:26:59 EDT
Please is able to make this confirmation smaller? Because if an user works on process whose creation takes more than 30 seconds then this alert is shown really every 30 seconds. 

It is nice that the alert is shown only if the user works.
It is nice that it is shorter but still you have big green area which takes your attention every 30 second.

Solution should be:
  - a grey background for this alert and shorter message (max. 1 line)
  - show the alert every 4th invocation of method save (it mean 2 minutes)
  - etc.

Solution depends on the meaning of this alert:
  - an user should know the last saved point (then this solution is ok)
  - an user does not care about exactly save point and he just know that he does not lost whole work, but just last 30 seconds of work.
Comment 8 Sona Mala 2014-06-23 05:19:18 EDT
This is an user experience issue and it is still valid. There are two types of alerts:
   - Process contains no changes since last save.
   - Successfully saved business process.

One of them is shown every 30 seconds and it interrupts me when I model a process. I have to look at it to see what Designer says to me.

If this service is on and works properly I just need information about state of:
  - service (enabled/disabled)
  - file (saved / changed)
which does not interrupt users in their work. These kinds of information are available every time when the user needs it. (Now I have to wait to see which alert will be shown.)

The alert should be only about unexpected behaviour like "The save operation was failed because ..."

This is the low priority issue.

Note You need to log in before you can comment on or make changes to this bug.